; Mass Options
; by ch1zra
; ch1zra@gmail.com
; http://uptheirons.co.sr/
; #Scripters @ irc.krstarica.com
; Copyright  Up The Irons ! inc.

; ~~~ On Load And UnLoad ~~~

on 1:load: {
  if ($version > 6.0) { 
    load.mo
    echo $color(info) Check your channel and nicklist popups.
  }
  else { 
    echo  Version 6.0 or higher required, get a newer version of mirc at http://www.mirc.com  
    unload -rs $script
  }
}

on 1:unload: {
  if ($input(Thank you for using Mass Options. $crlf ch1zra@gmail.com $crlf http://uptheirons.co.sr/ $crlf $& 
    #Scripters @ irc.krstarica.com $crlf $crlf $crlf Goodbye.,oi,Unloading) == $true) { 
    echo $color(info) Mass Options unloaded.
  }
}

; ~~~ Aliases ~~~

alias -l load.mo {
  if ($input(Mass Options succesfully loaded $crlf $crlf ch1zra@gmail.com $crlf http://uptheirons.co.sr/  $crlf $& 
    #Scripters @ irc.krstarica.com,oi,Mass Options loaded) == $true) {
    return
  }
} 

alias -l unload.mo {
  if ($input(Are you sure that you want to unload Mass Options $+ $chr(44) located in $script ?,yw,Unloader) == $true) {
    .unload -rs $script
  }
}

alias -l abt.mo {
  if ($input(Mass Options $crlf $crlf by ch1zra $crlf ch1zra@gmail.com $crlf http://uptheirons.co.sr/  $crlf $& 
    #Scripters @ irc.krstarica.com, oi, About Mass Options)) {
    return
  }
}

; ~~~ Mass Aliases ~~~

alias -l mass.voice {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # +v $nick(#,%i)
    }
    inc %i
  }
}

alias -l mass.devoice {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # -v $nick(#,%i)
    }
    inc %i
  }
}

alias -l mass.op {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # +o $nick(#,%i)
    }
    inc %i
  }
}

alias -l mass.deop {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # -o $nick(#,%i)
    }
    inc %i
  }
}

alias -l mass.hop {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # +h $nick(#,%i)
    }
    inc %i
  }
}

alias -l mass.dehop {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # -h $nick(#,%i)
    }
    inc %i
  }
}


alias -l mass.kick {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      kick # $nick(#,%i) [Mass kick]
    }
    inc %i
  }
}

alias -l mass.ban {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # +b $nick(#,%i)
    }
    inc %i
  }
}

alias -l mass.unban {
  var %cnt $nick(#,0)
  var %i 1
  while (%i <= %cnt) {
    if ($nick(#,%i) != $me) {
      mode # -b $nick(#,%i)
    }
    inc %i
  }
}


; ~~~ Menus ~~~

menu channel,nicklist {
  .$iif($me isop #,   Mass Options)
  .Voice
  ..+:mass.voice
  ..-:mass.devoice
  .OP
  ..+:mass.op
  ..-:mass.deop
  .HOP
  ..+:mass.hop
  ..-:mass.dehop
  .Ban
  ..+:mass.ban
  ..-:mass.unban
  .Kick:mass.kick
  .KickBan:mass.ban | mass.kick
}

menu menubar {
  Mass Options
  .About:abt.mo
  .Unload
  ..Yes:unload.mo
}
